org.eclipse.graphiti.pattern

## Class TypedPattern

- java.lang.Object
- - org.eclipse.graphiti.pattern.AbstractBasePattern
  - - org.eclipse.graphiti.pattern.AbstractPattern
    - - org.eclipse.graphiti.pattern.TypedPattern

All Implemented Interfaces:
  IFeatureProviderHolder, IAdd, ICreate, ICreateInfo, IDelete, IDirectEditing, ILayout, IMoveShape, IRemove, IResizeShape, IUpdate, IPattern

Direct Known Subclasses:
  IdPattern

    public abstract class TypedPattern
    extends AbstractPattern

This class provides the basis for all specific pattern types. It provides functionality to tag a shape as being created and maintained by a specific pattern type. Type type is identified using a special `Property` with the key PROPERTY_KEY_PATTERN_TYPE.

Since:
  0.10

### Field Summary

### Fields inherited from interface org.eclipse.graphiti.func.ICreate

`EMPTY`

### Fields inherited from interface org.eclipse.graphiti.func.IDirectEditing

`TYPE_CUSTOM, TYPE_DROPDOWN, TYPE_DROPDOWN_READ_ONLY, TYPE_MULTILINETEXT, TYPE_NONE, TYPE_TEXT`

### Constructor Summary

Constructors
Constructor and Description
`TypedPattern()` Constructor to be used when no configuration data is needed.
`TypedPattern(IPatternConfiguration patternConfiguration)` Constructor to be used when configuration data is needed.

### Method Summary

### Methods inherited from class org.eclipse.graphiti.pattern.AbstractPattern

`canCreate, canDelete, canDirectEdit, canLayout, canMoveShape, canRemove, canResizeShape, canUpdate, checkValueValid, completeInfo, completeInfo, completeValue, create, delete, getCreateDescription, getCreateImageId, getCreateLargeImageId, getCreateName, getEditingType, getInitialValue, getPossibleValues, getProposalSupport, getResizeConfiguration, getValueProposals, hasDoneChanges, isAutoCompletionEnabled, isCompletionAvailable, isDeleteAbort, isMainBusinessObjectApplicable, isPaletteApplicable, isRemoveAbort, layout, moveShape, postDelete, postRemove, preDelete, preRemove, remove, resizeShape, setValue, stretchFieldToFitText, update, updateNeeded`

### Methods inherited from class org.eclipse.graphiti.pattern.AbstractBasePattern

`add, canAdd, getFeatureProvider, setFeatureProvider`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.pattern.IPattern

`add, canAdd, setFeatureProvider`

### Constructor Detail

#### TypedPattern

    public TypedPattern()

Constructor to be used when no configuration data is needed.

#### TypedPattern

    public TypedPattern(IPatternConfiguration patternConfiguration)

Constructor to be used when configuration data is needed.